# Personal Microclient

<p>
Aren't you tired of distracting social media platforms?
So many buttons and advertising makes a simple task of reading
and writing notes to your community very draining. You can use
a next generation social media protocol to transform
your personal website into a micro social media client.

Use a library like <a href="https://prosemirror.net/">ProseMirror</a>,
 to build a WYSIWYM style rich text editor for visitors
to compose notes with. They can then post it to a set of
programmed relays.
 </p>


<p>This is an installable personal website that is accessible through chrome-based and firefox browsers. The website is built with PWA Builder and Lit Web Components. It utilizes the Nostr
protocol to fetch profile metadata, short text, and long form notes (event kinds 0, 1, and 30023) from a relay. </p>



<p>If you're on any chrome-based, firefox or safari browser try visiting the webpage then tapping on the arrow
pointing up in the bottom toolbar. Scroll down a bit to tap on "Add to Home Screen".

If you're on a chromium-based browser you should be able to do the same.</p>



# TODO

<ul>
<li>refactor</li>
<li>dropdown menu a la Medium</li>
<li>long form blog view</li>
<li>include instructions as preloaded content </li>

</ul>




## How to try it out

Visit https://miguelalmodo.com/dist2 to try installing to your
smartphone home screen.

